efd23e0e990180e1a6275e416bf6e94e3c53c929
max
  Fri Feb 9 07:46:33 2024 -0800
fixing bug in browserSetup.sh script, reported by user, refs #32988

diff --git src/product/installer/browserSetup.sh src/product/installer/browserSetup.sh
index 0318ce6..08e2368 100644
--- src/product/installer/browserSetup.sh
+++ src/product/installer/browserSetup.sh
@@ -749,33 +749,33 @@
 	yum -y install chkconfig
     else
         yum -y install epel-release
     fi
 
     yum -y install ghostscript rsync ImageMagick R-core curl initscripts --allowerasing --nobest
 
     # centos 7 does not provide libpng by default
     if ldconfig -p | grep libpng12.so > /dev/null; then
         echo2 libpng12 found
     else
         yum -y install libpng12
     fi
     
     # try to activate the powertools repo. Exists on CentOS and Rocky but not Redhat
-    set -e
-    yum config-manager --set-enabled powertools
-    set +e
+    set +o pipefail
+    yum config-manager --set-enabled powertools || true
+    set -o pipefail
     
     # install apache if not installed yet
     if [ ! -f /usr/sbin/httpd ]; then
         echo2
         echo2 Installing Apache and making it start on boot
         waitKey
         yum -y install httpd chkconfig
         # start apache on boot
         chkconfig --level 2345 httpd on
         # there will be an error message that the apache 
         # mkdir -p $APACHEDIR/htdocs
         
         service httpd start
     else
         echo2 Apache already installed